### Method

# Gtk FileDialog save_text_file_finish

since: 4.18

#### Declaration [src]

    GFile*
    gtk_file_dialog_save_text_file_finish (
      GtkFileDialog* self,
      GAsyncResult* result,
      const char** encoding,
      const char** line_ending,
      GError** error
    )

#### Description [src]

Finishes the `gtk_file_dialog_save_text_file()` call and returns the resulting file, text encoding and line endings.

If the user has explicitly selected a text encoding to use for the file, then `encoding` will be set to a codeset name that is suitable for passing to iconv_open(). Otherwise, it will be `NULL`.

The `line_ending` will be set to one of “\n”, “\r\n”, “\r” or “”, where the latter means to preserve existing line endings.

Available since: 4.18

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`encoding`

  Type: `const char**`

  Return location for the text encoding to use.

  The argument will be set by the function.
  The returned data is owned by the instance.
  The value is a NUL terminated UTF-8 string.

`line_ending`

  Type: `const char**`

  Return location for the line endings to use.

  The argument will be set by the function.
  The returned data is owned by the instance.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GFile`

The file that was selected. Otherwise, `NULL` is returned and `error` is set.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.